---
title: "Get Room Roles"
slug: "get-room-roles"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Room Roles

Get/api/v1/rooms.roles

Get the list of roles in a specific room. This endpoint returns users with the `Owner`, `Leader`, and `Moderator` room roles. You can refer to the [Roles user guide](https://docs.rocket.chat/docs/roles-in-rocketchat) for more details on roles in Rocket.Chat.

### Changelog

| Version | Description |
| --- | --- |
| 7.10.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersridstringRequired

Enter the room ID for which you want to view the room roles.

Example658282732dd9f928ad989e98

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='3531fa2b-a51b-4e19-8f2d-70253416c012'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='91ae5c5a-d9df-418e-a1c5-d6f6fb2da878'>Example 1</option>
</select>Example 1

```json
{
  "roles": [
    {
      "_id": "668c75b2b319fc80bf0ed3a1",
      "rid": "658282732dd9f928ad989e98",
      "u": {
        "_id": "P2dgWPPw5veigwcdK",
        "username": "jane.doe",
        "name": "Jane Doe"
      },
      "roles": [
        "moderator"
      ]
    },
    {
      "_id": "6819edfa30c9c71254e45d18",
      "rid": "658282732dd9f928ad989e98",
      "u": {
        "_id": "74HrDgvTTxT56o8R8",
        "username": "mary.shelley",
        "name": "Mary Shelley"
      },
      "roles": [
        "leader"
      ]
    },
    {
      "_id": "668c7717b319fc80bf0ed3b0",
      "rid": "658282732dd9f928ad989e98",
      "u": {
        "_id": "qHWhoJwwgk4bwcoNq",
        "username": "test.user"
      },
      "roles": [
        "moderator"
      ]
    },
    {
      "_id": "6690c37ab319fc80bf0ed407",
      "rid": "658282732dd9f928ad989e98",
      "u": {
        "_id": "C38WSSzrGd2NCjzqJ",
        "username": "test.cat"
      },
      "roles": [
        "owner"
      ]
    }
  ],
  "success": true
}
```

Expand Allobject  roles Array of object   object  _idstring    
ridstring    
uobject  _idstring    
usernamestring    
namestring    

roles Array of string   string    

successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='000ec2e2-6654-457d-a92d-525412425632'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='8b8488e2-74a5-4f70-8890-075046c6dd7d'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "errorType": "error-invalid-params",
  "error": "must have required property 'rid'"
}
```

object  successboolean    
errorTypestring    
errorstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='cce8971a-0479-45c3-b502-8a00006e16b4'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='fba18db3-bff4-4d26-b936-1839dafc4c09'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
